Name:          arduino-u8glib
Version:       1.16
Release:       1%{?dist}
Summary:       Graphic display library for use with Arduino IDE
Group:         Development/Tools
License:       BSD
URL:           https://code.google.com/p/u8glib/
BuildArch:     noarch
Source0:       http://dl.bintray.com/olikraus/u8glib/u8glib_arduino_v%{version}.zip
BuildRequires: dos2unix
Requires:      arduino-core

# The u8glib default SPI clock divisor is 4, but it needs to be 16 for
# LulzBot TAZ LCD.
Patch0:        arduino-u8glib-fclkdiv16.patch

%description
U8glib is a graphics library with support for many different displays.
This is the version for use as a library for the Arduino, which is in
particular useful for the LulzBot TAZ control panel.

%prep
%setup -q -n U8glib
%patch0 -p1 -b .fclkdiv16

# fix line endings, preserving timestamps
dos2unix -k utility/u8g_dev_ssd1309_128x64.c
dos2unix -k utility/u8g_dev_ssd1351_128x128.c
dos2unix -k utility/u8g_circle.c

%build
# nothing needed here

%install
mkdir -p %{buildroot}%{_datadir}/arduino/libraries/U8glib
tar -cf - . | tar -C %{buildroot}%{_datadir}/arduino/libraries/U8glib -xf -

%files
%{_datadir}/arduino/libraries/U8glib

%changelog
* Mon Nov 24 2014 Eric Smith <brouhaha@fedoraproject.org> - 1.16-1
- Initial version.
